Bug 635772 - Conflicting base channels - Error Class Info: Conflicting activation tokens
Conflicting base channels - Error Class Info: Conflicting activation tokens
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 5
Classification: Red Hat
Component: WebUI (Show other bugs)
530
All Linux
high Severity high
: ---
: ---
Assigned To: Tomas Lestach
Dimitar Yordanov
: Reopened
Depends On: 538435
Blocks: sat531-triage sat54-errata sat541-triage 706416
  Show dependency treegraph
 
Reported: 2010-09-20 12:52 EDT by Marcelo Moreira de Mello
Modified: 2012-03-08 04:06 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: Cloning a channel wouldn't properly clone the activation key and wouldnt update the default session key properly Consequence: If cloning a kickstart and selecting a different base channel in the newly cloned kickstart, with an activation key that uses a different base channel, kickstarting a system using this newly cloned profile fails. Fix: Clone the session key properly, when kickstart gets cloned. Result: Successful kickstart under listed circumstances.
Story Points: ---
Clone Of:
: 704475 706416 (view as bug list)
Environment:
Last Closed: 2011-05-20 10:12:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
ks-post.log (5.00 KB, application/octet-stream)
2010-09-20 12:52 EDT, Marcelo Moreira de Mello
no flags Details

  None (edit)
Description Marcelo Moreira de Mello 2010-09-20 12:52:25 EDT
Created attachment 448511 [details]
ks-post.log

Description of problem:

Satellite 5.3 fails to kickstart register a guest when the kickstart is cloned and the base channel is switched. 

When the client has been kickstarted, ks-post.log includes this error (reproduced environment):

[start]
Error Message:
   Conflicting base channels
Error Class Code: 63
Error Class Info: Conflicting activation tokens
Explanation:
    An error has occurred while processing your request. If this problem
    persists please enter a bug report at bugzilla.redhat.com.
    If you choose to submit the bug report, please be sure to include
    details of what you were trying to do when this error occurred and
    details on how to reproduce this problem.
[/end]


Version-Release number of selected component (if applicable):

Satellite 5.3 

How reproducible:

1.  Clone kickstart
2.  Select different base channel
3.  Assign activation key with base channel different from kickstart from which
new kickstart was cloned.
4.  Kickstart system

Expected results:
Kickstart without registration errors.


Additional info:
Already exists a BZ# https://bugzilla.redhat.com/show_bug.cgi?id=538435 for Spacewalk that looks the same issue. 

If possible, the customer is asking to backport the solution to Satellite 5.3.
Comment 7 Raul Mahiques 2010-12-23 05:32:02 EST
This happens as well in 5.4
Comment 8 Florian Nadge 2011-01-17 08:55:39 EST
Please be so kind and add a few key words to the Technical Notes of this
Bugzilla entry using the following structure:

Cause:

Consequence:

Fix:

Result:

For details, see:

https://bugzilla.redhat.com/page.cgi?id=fields.html#cf_release_notes

Thanks
Comment 9 Florian Nadge 2011-01-17 08:55:39 EST
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
Cause:

Consequence:

Fix:

Result:
Comment 10 Tomas Lestach 2011-01-17 10:18:36 EST
Filling up Technical Notes.
Comment 11 Tomas Lestach 2011-01-17 10:18:36 EST
    Technical note updated. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    Diffed Contents:
@@ -1,7 +1,11 @@
 Cause:
-
+Cloning a channel wouldn't properly clone the activation key and wouldnt update the default session key properly
 Consequence:
-
+If cloning a kickstart and selecting a
+different base channel in the newly cloned kickstart, with an activation
+key that uses a different base channel, kickstarting a system using this
+newly cloned profile fails.
 Fix:
-
+Clone the session key properly, when kickstart gets cloned.
-Result:+Result:
+Successful kickstart under listed circumstances.
Comment 12 Dimitar Yordanov 2011-01-19 18:04:36 EST
Verified:
RHEL5, RHEL4 - s390x, x86_64
Comment 13 errata-xmlrpc 2011-02-01 05:33:29 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2011-0189.html

Note You need to log in before you can comment on or make changes to this bug.